### system_context

The executor context for the system executor.

    class system_context :
      public execution_context

##### Types

Name | Description
--- | ---
executor_type | The executor type associated with the context.
fork_event | Fork-related event notifications.

##### Member Functions

Name | Description
--- | ---
get_executor | Obtain an executor for the context.
join | Join all threads in the system thread pool.
notify_fork | Notify the execution_context of a fork-related event.
stop | Signal all threads in the system thread pool to stop.
stopped | Determine whether the system thread pool has been stopped.
~system_context [destructor] | Destructor shuts down all threads in the system thread pool.

##### Protected Member Functions

Name | Description
--- | ---
destroy | Destroys all services in the context.
shutdown | Shuts down all services in the context.

##### Friends

Name | Description
--- | ---
add_service | (Deprecated: Use make_service().) Add a service object to the execution_context.
has_service | Determine if an execution_context contains a specified service type.
make_service | Creates a service object and adds it to the execution_context.
use_service | Obtain the service object corresponding to the given type.

##### Requirements

Header: `asio/system_context.hpp`

Convenience header: `asio.hpp`